Skip to main content
GET
/
api
/
v1
/
vms
/
{file_uuid}
Get VM image
curl --request GET \
  --url https://api.example.com/api/v1/vms/{file_uuid} \
  --header 'Authorization: <api-key>'
{
  "blob_sha256": "<string>",
  "bucket_id": "<string>",
  "content_type": "<string>",
  "created_at": "<string>",
  "extra_attributes_json": "<string>",
  "file_uuid": "<string>",
  "filename": "<string>",
  "format": "<string>",
  "owner_id": "<string>",
  "ram_mb": 123,
  "size_bytes": 123,
  "updated_at": "<string>",
  "vcpus": 123,
  "virt_type": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and JWT token.

Path Parameters

file_uuid
string
required

File UUID

Response

OK

blob_sha256
string
bucket_id
string
content_type
string
created_at
string
extra_attributes_json
string
file_uuid
string
filename
string
format
string
owner_id
string
ram_mb
integer
size_bytes
integer
status
enum<string>
Available options:
pending,
uploading,
available,
tombstoned,
deleted
updated_at
string
vcpus
integer
virt_type
string